#-------------------------------------------------------------------------------
# Theme dependant
# Settings for ACMS v2.00 Moon Pearl theme
#-------------------------------------------------------------------------------

# Used to crop portrait to fit the widgets
RECT_FACE = Rect.new(0, 8, 100, 84)
# Top padding for portrait
FACE_Y = 8
# Left padding for the actor widgets' content
BUTTON_CHAR_PADDING = 50
# Left and right padding for HP and SP bars
BAR_PADDING = 10

# Horizontal spacing for big numbers (level, gold, time)
SPACING_BIG = 14
# Horizontal spacing for small number (HP, SP)
SPACING_SMALL = 8

# Whether buttons blink when selected or not
BUTTON_BLINK = true
# How quickly buttons blink, set to nil for no blinking
BLINK_RATE = 20

# Background layers settings
# For each layer, in order, insert a Hash with one or more of the following:
#  * :opacity => [0-255]          Set layer opacity (default 255)
#  * :blend_type => [0-2]         Set blend type (default 0)
#  * :x => <pixels>               Set horizontal position (default 0)
#  * :y => <pixels>               Set vertical position (default 0)
#  * :x_scroll => <pixels>        Scroll horizontally by <pixels> each frame (default 0)
#  * :y_scroll => <pixels>        Scroll vertically by <pixels> each frame (default 0)
#  * :flicker => [<period>, <frame>] Flicker periodically in <period> frames, with an offset of <frame> frames
BACKGROUND_LAYERS_SETTINGS = [
  # 00 - Moon & stars background
  { },
  # 01 to 03 - Lights
  { :opacity => 96, :blend_type => 1, :flicker => [360, 0] },
  { :opacity => 96, :blend_type => 1, :flicker => [360, 120] },
  { :opacity => 96, :blend_type => 1, :flicker => [360, 240] },
  # 04 to 05 - Clouds
  { :opacity => 128, :x_scroll => 0.1 },
  { :opacity => 128, :x_scroll => 0.5 },
  # 06 - Water reflection
  { :x => -192, :y => 408, :xwave => [20, 20, 3] }
]

# Dark font - set to true to change white text to black, false otherwise
FONT_DARK = false